Subject: Re: [REGRESSION, PATCH] sky2 WOL fix

From: Knut Petersen <[email-masked]>
Date: Fri, 17 Feb 2012 19:21:53 +0100

Am 15.02.2012 18:16, schrieb Stephen Hemminger:
> On Tue, 14 Feb 2012 09:25:02 +0100
> Knut Petersen<[email-masked]>  wrote:
>
>>  From f3a7086638b0ee1f9d9e9028a188d96646671088 Mon Sep 17 00:00:00 2001
>> From: Knut Petersen<[email-masked]>
>> Date: Tue, 14 Feb 2012 08:35:17 +0100
>> Subject: [PATCH] Fix an old sky2 WOL regression
>>
>> Wake-On-Lan was broken for a few systems with commit
>> 87b09f1f25cd1e01d7c50bf423c7fe33027d7511 more than a
>> year ago.
>>
>> This commit fixes the regression for the AOpen i915GMm-HFS
>> motherboard. It reintroduces the old code, but that code is
>> only executed for those system included in a dmi_system_id
>> list. Currently there is only one entry in that list, but
>> it probably will grow.
>>
>> Signed-off-by: Knut Petersen<[email-masked]>
> You might also want to check with AOpen to see if there is a BIOS
> update. Often the BIOS programs bits on the onboard card to deal
> with power management issues.
>

[I added some people to the cc list that commented on bug #19492]

The last BIOS AOpen published for that board is more than six years old.
No. I will not bother them with this problem.

Your commit broke existing support for WOL on a number of boards.
This is known to you and to bugzilla.kernel org since 2010.  A number of
people complained about that, but nothing happened.

Neither your original commit description nor the description of the
PXE_LegNat_Sel I found at other places indicate that setting
PXE_LegNat_Sel could do any harm.

Stephen: It´s a real regression, the fix is known. If you do not want
to go back to setting PXE_LegNat_Sel, you really should allow
dmi_matched fixes.

Mirko, Ralph: Any comments from Marvell?

cu,
  Knut